package com.ruoyi.demo.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.App;
import com.ruoyi.demo.entity.Commercial;
import com.ruoyi.demo.entity.vo.AppVo;

import java.util.List;

public interface AppService {
    R addApp(AppVo appVo);

    void deleteApp(String[] appKeys);

    PageInfo<App> getAppListByCommercialId(AppVo appVo);

    App getApp(AppVo appVo);

    R updateApp(AppVo appVo);

    void testCallBack(String callBack);

    Page<App> getAppList(AppVo appVo);

    List<Commercial> getCommercialList();
}
